#include "BotDemon.h"

BotDemon::BotDemon(unsigned int i, std::string n) 
    : Bot::Bot(i, n), Demon::Demon() {}

void BotDemon::analyseJoueur(unsigned int idJoueur, unsigned int nbCC, unsigned int nbHDMI, Carte carteRetournee)
{
    if ( carteRetournee.getType() == "CoupeCoupe" )
    {
        // si le joueur annonce ne pas avoir de CoupeCoupe mais qu'il en a un, le bot va considérer que ce joueur est méchant (dans son camp) et sa confiance envers ce joueur va monter
        if ( nbCC == 0 )
            confiance[idJoueur - 1]++;

        // si le joueur annonce avoir des CoupeCoupe et qu'il en a, le bot va le soupçonner davantage s'il le soupçonnait déjà d'être gentil, sinon, il considère que ça pourrait être un méchant qui voulait éviter de se faire remarquer
        if ( nbCC > 0 && confiance[idJoueur - 1] < 4 )
            confiance[idJoueur - 1]--; 
    }

    if ( carteRetournee.getType() == "CableHDMI" )
    {
        if ( nbHDMI == 0 )
            confiance[idJoueur - 1]++;

        if ( nbHDMI > 0 && confiance[idJoueur - 1] > 6 )
            confiance[idJoueur - 1]--;
    }
}