#ifndef GCARTES_H
#define GCARTES_H

#include <vector>
#include <algorithm>
#include <assert.h>
#include <cstdlib>
#include "../Model/Carte.h"
#include "../Model/BigBen.h"
#include "../Model/CableHDMI.h"
#include "../Model/CoupeCoupe.h"


class GCartes
{
private:
	static unsigned int nextId;
	static std::vector<Carte> listeCartesRev;
	static std::vector<Carte> listeCartesRes;

public:
	static Carte* getCarte(unsigned int idCarte);
	static unsigned int getIdCarte(Carte* c);
	static unsigned int creerCoupeCoupe();
	static unsigned int creerHDMI();
	static unsigned int creerBigBen();

	static std::vector<Carte> getListeCartesRev();
	static std::vector<Carte> getListeCartesRes();
};

#endif

