#include "GJoueurs.h"

unsigned int GJoueurs::nextId = 1;

unsigned int GJoueurs::creerEnfant(std::string nom)
{
	Enfant* e = new Enfant(nextId, nom);
	listeJoueurs.push_back(*e);

	return nextId++;
}

unsigned int GJoueurs::creerDemon(std::string nom)
{
	Demon* d = new Demon(nextId, nom);
	listeJoueurs.push_back(*d);

	return nextId++;
}

Joueur GJoueurs::getJoueurActif()
{
	return listeJoueurs[idJoueurActif];
}

Joueur* GJoueurs::getJoueur(unsigned int idJoueur)
{
	for(unsigned int i = 0; i < listeJoueurs.size(); i++)
	{
		if(listeJoueurs[i].getId() == idJoueur)
			return &listeJoueurs[i];
	}

	return nullptr;
}

unsigned int GJoueurs::getIdJoueur(Joueur* j)
{
	for (unsigned int i = 0; i < listeJoueurs.size(); i++)
	{
		if (&listeJoueurs[i] == j)
			return listeJoueurs[i].getId();
	}

	return 0;
}


std::vector<Joueur> GJoueurs::getListeJoueurs() { return listeJoueurs; }
unsigned int GJoueurs::getIdJoueurActif() { return idJoueurActif; }
void GJoueurs::setIdJoueurActif(unsigned int id) { idJoueurActif = id; }
	