#ifndef GJOUEURS_H
#define GJOUEURS_H

#include <vector>
#include <algorithm>
#include <assert.h>
#include <cstdlib>
#include "../Model/Joueur.h"
#include "../Model/Enfant.h"
#include "../Model/Demon.h"



class GJoueurs
{
private:
	static unsigned int nextId;
	static unsigned int idJoueurActif;
	static std::vector<Joueur> listeJoueurs;

public:
	static unsigned int creerEnfant(std::string nom);
	static unsigned int creerDemon(std::string nom);

	static Joueur getJoueurActif();
	static Joueur* getJoueur(unsigned int idJoueur);
	static unsigned int getIdJoueur(Joueur* j);
	static std::vector<Joueur> getListeJoueurs();
	static unsigned int getIdJoueurActif();
	static void setIdJoueurActif(unsigned int id);
	
};

#endif

