#ifndef JOUEUR_H
#define JOUEUR_H

#include <vector>
#include <cstdlib>
#include <string>
#include "Carte.h"

class Joueur
{
private:
    unsigned int id;
    std::string nom;
    std::vector<Carte> listeCartes;
    bool bot;

public:
    // constructors
    Joueur(unsigned int i, std::string n);
    
    // getters
    unsigned int getId();
    std::string getNom();
    std::vector<Carte> getCartes();
    bool isBot();

    virtual std::string getType();

    // setters
    void setNom(std::string n);
    void setBot();
    void unsetBot();
};

#endif