#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QTranslator>

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private slots:
    void on_pushButton_play_clicked();

    void on_pushButton_rules_clicked();

    void on_pushButton_quit_clicked();

    void on_pushButton_creerPartie_clicked();

    void on_pushButton_option_clicked();

    void on_btnBackRegle_clicked();

    void on_btnBackPartie_clicked();

    void on_btnBackMode_clicked();

    void on_btnBackOptions_clicked();

    void on_btnDemarer_clicked();

    void on_sdMusique_valueChanged(int value);

    void on_sdBruitage_valueChanged(int value);

    void on_pushButton_soundMenu_clicked();

    void on_pushButton_soundPartie1_pressed();

    void on_pushButton_soundPartie2_pressed();

    void on_pushButton_soundJeu_pressed();

    void on_pushButton_soundRegle_pressed();

    void on_pushButton_soundOptions_pressed();

    void on_cbbLangue_currentIndexChanged(const QString &arg1);

private:
    Ui::MainWindow *ui;
    QTranslator m_translator;
};

#endif // MAINWINDOW_H

