#include "BotEnfant.h"

BotEnfant::BotEnfant(unsigned int i, std::string n) 
    : Bot::Bot(i, n), Enfant::Enfant() {}

void BotEnfant::analyseJoueur(unsigned int idJoueur, unsigned int nbCC, unsigned int nbHDMI, Carte carteRetournee)
{
    if ( carteRetournee.getType() == "CoupeCoupe" )
    {
        // si le joueur annonce ne pas avoir de CoupeCoupe mais qu'il en a un, le bot va considérer que ce joueur est méchant (dans le camp adverse) et sa confiance envers ce joueur va descendre
        if ( nbCC == 0 )
            confiance[idJoueur - 1]--;

        // si le joueur annonce avoir des CoupeCoupe et qu'il en a, le bot va le considérer comme allié
        if ( nbCC > 0 && confiance[idJoueur - 1] )
            confiance[idJoueur - 1]++; 
    }

    if ( carteRetournee.getType() == "CableHDMI" )
    {
        if ( nbHDMI == 0 )
            confiance[idJoueur - 1]--;

        if ( nbHDMI > 0 && confiance[idJoueur - 1] )
            confiance[idJoueur - 1]++;
    }
}

void choisirJoueur()
{
    
}