#include "GCartes.h"

unsigned int GCartes::nextId = 1;

Carte* GCartes::getCarte(unsigned int idCarte)
{
	for(unsigned int i = 0; i < listeCartesRes.size(); i++)
	{
		if(listeCartesRes[i].getId() == idCarte)
			return &listeCartesRes[i];
	}

	return nullptr;
}

unsigned int GCartes::getIdCarte(Carte* c)
{
	for (unsigned int i = 0; i < listeCartesRes.size(); i++)
	{
		if ( &listeCartesRes[i] == c )
			return listeCartesRes[i].getId();
	}
	return 0;
}


unsigned int GCartes::creerCoupeCoupe()
{
	CoupeCoupe* c = new CoupeCoupe(nextId);
	listeCartesRes.push_back(*c);

	return nextId++;
}

unsigned int GCartes::creerHDMI()
{
	CableHDMI* h = new CableHDMI(nextId);
	listeCartesRes.push_back(*h);

	return nextId++;
}

unsigned int GCartes::creerBigBen()
{
	BigBen* b = new BigBen(nextId);
	listeCartesRes.push_back(*b);

	return nextId++;
}

std::vector<Carte> GCartes::getListeCartesRev() { return listeCartesRev; }
std::vector<Carte> GCartes::getListeCartesRes() { return listeCartesRes; }
