#ifndef SERVICE_H
#define SERVICE_H

#include <vector>
#include <algorithm>
#include <assert.h>
#include <cstdlib>
#include "GJoueurs.h"
#include "GCartes.h"



class Service
{
public:
	unsigned int tour;

	std::string debutPartie(unsigned int nbJoueur);
	std::string annonceCarte(unsigned int idJoueur, unsigned int nbCC, unsigned int nbHDMI, unsigned int nbBB);
	std::string retournerCarte(unsigned int idJoueur, unsigned int idCarte);
	std::string tourSuivant();
	std::string finPartie(unsigned int victoire);
	std::string donnerCarte();
	unsigned int getJoueurParCarte(unsigned int idCarte);

private:
	std::vector<std::vector<unsigned int>> const compoTeams;
	std::vector<std::vector<unsigned int>> const compoCartes;
};

#endif
